#!/bin/bash

set -e

# get the root of the git repository (requires git to be installed)
GIT_ROOT=`git rev-parse --show-toplevel`
cd $GIT_ROOT/installation/

# define useful variables
source env.sh

# do not uninstall the useful tools

# building initramfs
rm -f /opt/${MCA_NAME_AND_VERSION}/etc/flb.conf.in # temporary fix
rm -f /opt/${MCA_NAME_AND_VERSION}/etc/flb.conf # temporary fix
apt-get -y remove ${MCA_PACKAGE_NAME} || true
apt-get -y remove ${FLUENTBIT_PACKAGE_NAME} || true
rm -f ${MCA_PACKAGE_FILE} ${MCA_PACKAGE_FILE}.*
#rm -f ${FLUENTBIT_PACKAGE_FILE} ${FLUENTBIT_PACKAGE_FILE}.*
apt -y remove ${APT_SPECIFIC_PACKAGES} || true
